commit:     bbd410a7dbce30963a0d36a354cb3bdf02f07399
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 08:15:42 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri May 13 08:23:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbd410a7

app-vim/info: EAPI 6 bump.

Package-Manager: portage-2.2.26

 app-vim/info/info-1.7-r2.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/app-vim/info/info-1.7-r2.ebuild b/app-vim/info/info-1.7-r2.ebuild
new file mode 100644
index 0000000..2c3e368
--- /dev/null
+++ b/app-vim/info/info-1.7-r2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: GNU info documentation browser"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=21";
+LICENSE="BSD"
+KEYWORDS="~x86 ~alpha ~sparc ~ia64 ~ppc ~s390 ~amd64"
+IUSE=""
+
+VIM_PLUGIN_HELPTEXT="This plugin adds the :Info command."
+
+src_prepare() {
+       default
+
+       # The 'h' key is a bad choice for help.  'H' would have been a
+       # much better choice.  I sent this suggestion to the maintainer,
+       # but no reply.
+       sed -i 's/\(noremap <buffer> \)h/\1H/' plugin/info.vim || die 'sed 
failed'
+}

Reply via email to